Package org.jcsp.lang

# Interface SharedConnectionClient

All Superinterfaces:
  `ConnectionClient`

All Known Subinterfaces:
  `NetSharedConnectionClient`

All Known Implementing Classes:
  `NetSharedAltingConnectionClient`, `SharedAltingConnectionClient`

public interface SharedConnectionClient extends ConnectionClient

Defines an interface for a client end of a connection that can be shared by multiple clients.

This object cannot itself be shared between concurrent processes but duplicate objects can be generated that can be used by multiple concurrent processes. This can be achieved using the ``duplicate()`` method.

See ``ConnectionClient`` for a fuller explanation of how to use connection client objects.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`SharedConnectionClient`
`duplicate()`
Returns a duplicates `SharedConnectionClient` object which may be used by another process to this instance.

### Methods inherited from interface org.jcsp.lang.ConnectionClient

`isOpen, reply, request`

## Method Details

### duplicate

SharedConnectionClient duplicate()
Returns a duplicates `SharedConnectionClient` object which may be used by another process to this instance.

Returns:
  a duplicate `SharedConnectionClient` object.